Package org.eclipse.microprofile.fault.tolerance.tck.visibility.retry

# Class RetryOnMethodServiceOverridedClassLevelNoMethodOverride

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.BaseRetryOnMethodService
org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.RetryOnMethodServiceOverridedClassLevelNoMethodOverride

All Implemented Interfaces:
  `RetryService`

@RequestScoped @Retry(maxRetries=4) public class RetryOnMethodServiceOverridedClassLevelNoMethodOverride extends BaseRetryOnMethodService

## Constructor Summary

Constructors
Constructor
Description
`RetryOnMethodServiceOverridedClassLevelNoMethodOverride()`

## Method Summary

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.BaseRetryOnMethodService

`delegate, getNumberOfServiceCalls, service`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RetryOnMethodServiceOverridedClassLevelNoMethodOverride

public RetryOnMethodServiceOverridedClassLevelNoMethodOverride()